<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en"><head>

<meta charset="utf-8">
<meta name="generator" content="quarto-1.3.353">

<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">


<title>Behavioural analysis</title>
<style>
code{white-space: pre-wrap;}
span.smallcaps{font-variant: small-caps;}
div.columns{display: flex; gap: min(4vw, 1.5em);}
div.column{flex: auto; overflow-x: auto;}
div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
ul.task-list{list-style: none;}
ul.task-list li input[type="checkbox"] {
  width: 0.8em;
  margin: 0 0.8em 0.2em -1em; /* quarto-specific, see https://github.com/quarto-dev/quarto-cli/issues/4556 */ 
  vertical-align: middle;
}
</style>


<script src="wvu_behav_public_files/libs/clipboard/clipboard.min.js"></script>
<script src="wvu_behav_public_files/libs/quarto-html/quarto.js"></script>
<script src="wvu_behav_public_files/libs/quarto-html/popper.min.js"></script>
<script src="wvu_behav_public_files/libs/quarto-html/tippy.umd.min.js"></script>
<script src="wvu_behav_public_files/libs/quarto-html/anchor.min.js"></script>
<link href="wvu_behav_public_files/libs/quarto-html/tippy.css" rel="stylesheet">
<link href="wvu_behav_public_files/libs/quarto-html/quarto-syntax-highlighting.css" rel="stylesheet" id="quarto-text-highlighting-styles">
<script src="wvu_behav_public_files/libs/bootstrap/bootstrap.min.js"></script>
<link href="wvu_behav_public_files/libs/bootstrap/bootstrap-icons.css" rel="stylesheet">
<link href="wvu_behav_public_files/libs/bootstrap/bootstrap.min.css" rel="stylesheet" id="quarto-bootstrap" data-mode="light">


</head>

<body class="fullcontent">

<div id="quarto-content" class="page-columns page-rows-contents page-layout-article">

<main class="content" id="quarto-document-content">

<header id="title-block-header" class="quarto-title-block default">
<div class="quarto-title">
<h1 class="title">Behavioural analysis</h1>
<p class="subtitle lead">https://gitlab.com/michael.pereira/subcortical-ncc</p>
</div>



<div class="quarto-title-meta">

    
  
    
  </div>
  

</header>

<section id="pereira-faivre-bernasconi-et-al.-2023-subcortical-correlates-of-consciousness-with-human-single-neuron-recordings." class="level3">
<h3 class="anchored" data-anchor-id="pereira-faivre-bernasconi-et-al.-2023-subcortical-correlates-of-consciousness-with-human-single-neuron-recordings.">Pereira, Faivre, Bernasconi et al., 2023, Subcortical correlates of consciousness with human single neuron recordings.</h3>
<p>https://www.biorxiv.org/content/10.1101/2023.01.27.525684v1</p>
</section>
<section id="house-keeping-not-shown-here" class="level3">
<h3 class="anchored" data-anchor-id="house-keeping-not-shown-here">House keeping (not shown here)</h3>
</section>
<section id="check-data" class="level3">
<h3 class="anchored" data-anchor-id="check-data">Check data</h3>
<div class="cell">
<div class="cell-output-display">
<p><img src="wvu_behav_public_files/figure-html/explo_plots-1.png" class="img-fluid" width="672"></p>
</div>
<div class="cell-output-display">
<p><img src="wvu_behav_public_files/figure-html/explo_plots-2.png" class="img-fluid" width="672"></p>
</div>
<div class="cell-output-display">
<p><img src="wvu_behav_public_files/figure-html/explo_plots-3.png" class="img-fluid" width="672"></p>
</div>
</div>
</section>
<section id="compute-d-prime-and-bias" class="level3">
<h3 class="anchored" data-anchor-id="compute-d-prime-and-bias">Compute d-prime and bias</h3>
<div class="cell">
<div class="cell-output-display">
<p><img src="wvu_behav_public_files/figure-html/sdt-1.png" class="img-fluid" width="672"></p>
</div>
<div class="cell-output cell-output-stdout">
<pre><code>
    Wilcoxon rank sum test with continuity correction

data:  hr by grp
W = 114.5, p-value = 0.4493
alternative hypothesis: true location shift is not equal to 0</code></pre>
</div>
<div class="cell-output cell-output-stdout">
<pre><code>
    Wilcoxon rank sum test with continuity correction

data:  far by grp
W = 145, p-value = 0.7592
alternative hypothesis: true location shift is not equal to 0</code></pre>
</div>
</div>
</section>
<section id="intensity-between-hits-and-misses" class="level3">
<h3 class="anchored" data-anchor-id="intensity-between-hits-and-misses">Intensity between hits and misses</h3>
<div class="cell">
<div class="cell-output-display">
<p><img src="wvu_behav_public_files/figure-html/intensity-1.png" class="img-fluid" width="672"></p>
</div>
<div class="cell-output cell-output-stdout">
<pre><code>[1] "4 participants out of 33 show a significant difference"</code></pre>
</div>
<div class="cell-output-display">
<p><img src="wvu_behav_public_files/figure-html/intensity-2.png" class="img-fluid" width="672"></p>
</div>
</div>
</section>
<section id="onset-between-hits-and-misses" class="level3">
<h3 class="anchored" data-anchor-id="onset-between-hits-and-misses">Onset between hits and misses</h3>
<div class="cell">
<div class="cell-output-display">
<p><img src="wvu_behav_public_files/figure-html/onset-1.png" class="img-fluid" width="672"></p>
</div>
<div class="cell-output cell-output-stdout">
<pre><code>
    Paired t-test

data:  onset by sdt
t = 0.96534, df = 32, p-value = 0.3416
alternative hypothesis: true mean difference is not equal to 0
95 percent confidence interval:
 -0.03979122  0.11148213
sample estimates:
mean difference 
     0.03584546 </code></pre>
</div>
<div class="cell-output cell-output-stdout">
<pre><code>[1] "3 participants out of 33 show a significant difference"</code></pre>
</div>
<div class="cell-output-display">
<p><img src="wvu_behav_public_files/figure-html/onset-2.png" class="img-fluid" width="672"></p>
</div>
</div>
</section>
<section id="confidence" class="level3">
<h3 class="anchored" data-anchor-id="confidence">Confidence</h3>
<div class="cell">
<div class="cell-output-display">
<p><img src="wvu_behav_public_files/figure-html/confidence-1.png" class="img-fluid" width="672"></p>
</div>
<div class="cell-output cell-output-stdout">
<pre><code>
    Wilcoxon signed rank exact test

data:  conf by sdt
V = 2, p-value = 0.75
alternative hypothesis: true location shift is not equal to 0</code></pre>
</div>
</div>
</section>

</main>
<!-- /main column -->
<script id="quarto-html-after-body" type="application/javascript">
window.document.addEventListener("DOMContentLoaded", function (event) {
  const toggleBodyColorMode = (bsSheetEl) => {
    const mode = bsSheetEl.getAttribute("data-mode");
    const bodyEl = window.document.querySelector("body");
    if (mode === "dark") {
      bodyEl.classList.add("quarto-dark");
      bodyEl.classList.remove("quarto-light");
    } else {
      bodyEl.classList.add("quarto-light");
      bodyEl.classList.remove("quarto-dark");
    }
  }
  const toggleBodyColorPrimary = () => {
    const bsSheetEl = window.document.querySelector("link#quarto-bootstrap");
    if (bsSheetEl) {
      toggleBodyColorMode(bsSheetEl);
    }
  }
  toggleBodyColorPrimary();  
  const icon = "";
  const anchorJS = new window.AnchorJS();
  anchorJS.options = {
    placement: 'right',
    icon: icon
  };
  anchorJS.add('.anchored');
  const isCodeAnnotation = (el) => {
    for (const clz of el.classList) {
      if (clz.startsWith('code-annotation-')) {                     
        return true;
      }
    }
    return false;
  }
  const clipboard = new window.ClipboardJS('.code-copy-button', {
    text: function(trigger) {
      const codeEl = trigger.previousElementSibling.cloneNode(true);
      for (const childEl of codeEl.children) {
        if (isCodeAnnotation(childEl)) {
          childEl.remove();
        }
      }
      return codeEl.innerText;
    }
  });
  clipboard.on('success', function(e) {
    // button target
    const button = e.trigger;
    // don't keep focus
    button.blur();
    // flash "checked"
    button.classList.add('code-copy-button-checked');
    var currentTitle = button.getAttribute("title");
    button.setAttribute("title", "Copied!");
    let tooltip;
    if (window.bootstrap) {
      button.setAttribute("data-bs-toggle", "tooltip");
      button.setAttribute("data-bs-placement", "left");
      button.setAttribute("data-bs-title", "Copied!");
      tooltip = new bootstrap.Tooltip(button, 
        { trigger: "manual", 
          customClass: "code-copy-button-tooltip",
          offset: [0, -8]});
      tooltip.show();    
    }
    setTimeout(function() {
      if (tooltip) {
        tooltip.hide();
        button.removeAttribute("data-bs-title");
        button.removeAttribute("data-bs-toggle");
        button.removeAttribute("data-bs-placement");
      }
      button.setAttribute("title", currentTitle);
      button.classList.remove('code-copy-button-checked');
    }, 1000);
    // clear code selection
    e.clearSelection();
  });
  function tippyHover(el, contentFn) {
    const config = {
      allowHTML: true,
      content: contentFn,
      maxWidth: 500,
      delay: 100,
      arrow: false,
      appendTo: function(el) {
          return el.parentElement;
      },
      interactive: true,
      interactiveBorder: 10,
      theme: 'quarto',
      placement: 'bottom-start'
    };
    window.tippy(el, config); 
  }
  const noterefs = window.document.querySelectorAll('a[role="doc-noteref"]');
  for (var i=0; i<noterefs.length; i++) {
    const ref = noterefs[i];
    tippyHover(ref, function() {
      // use id or data attribute instead here
      let href = ref.getAttribute('data-footnote-href') || ref.getAttribute('href');
      try { href = new URL(href).hash; } catch {}
      const id = href.replace(/^#\/?/, "");
      const note = window.document.getElementById(id);
      return note.innerHTML;
    });
  }
      let selectedAnnoteEl;
      const selectorForAnnotation = ( cell, annotation) => {
        let cellAttr = 'data-code-cell="' + cell + '"';
        let lineAttr = 'data-code-annotation="' +  annotation + '"';
        const selector = 'span[' + cellAttr + '][' + lineAttr + ']';
        return selector;
      }
      const selectCodeLines = (annoteEl) => {
        const doc = window.document;
        const targetCell = annoteEl.getAttribute("data-target-cell");
        const targetAnnotation = annoteEl.getAttribute("data-target-annotation");
        const annoteSpan = window.document.querySelector(selectorForAnnotation(targetCell, targetAnnotation));
        const lines = annoteSpan.getAttribute("data-code-lines").split(",");
        const lineIds = lines.map((line) => {
          return targetCell + "-" + line;
        })
        let top = null;
        let height = null;
        let parent = null;
        if (lineIds.length > 0) {
            //compute the position of the single el (top and bottom and make a div)
            const el = window.document.getElementById(lineIds[0]);
            top = el.offsetTop;
            height = el.offsetHeight;
            parent = el.parentElement.parentElement;
          if (lineIds.length > 1) {
            const lastEl = window.document.getElementById(lineIds[lineIds.length - 1]);
            const bottom = lastEl.offsetTop + lastEl.offsetHeight;
            height = bottom - top;
          }
          if (top !== null && height !== null && parent !== null) {
            // cook up a div (if necessary) and position it 
            let div = window.document.getElementById("code-annotation-line-highlight");
            if (div === null) {
              div = window.document.createElement("div");
              div.setAttribute("id", "code-annotation-line-highlight");
              div.style.position = 'absolute';
              parent.appendChild(div);
            }
            div.style.top = top - 2 + "px";
            div.style.height = height + 4 + "px";
            let gutterDiv = window.document.getElementById("code-annotation-line-highlight-gutter");
            if (gutterDiv === null) {
              gutterDiv = window.document.createElement("div");
              gutterDiv.setAttribute("id", "code-annotation-line-highlight-gutter");
              gutterDiv.style.position = 'absolute';
              const codeCell = window.document.getElementById(targetCell);
              const gutter = codeCell.querySelector('.code-annotation-gutter');
              gutter.appendChild(gutterDiv);
            }
            gutterDiv.style.top = top - 2 + "px";
            gutterDiv.style.height = height + 4 + "px";
          }
          selectedAnnoteEl = annoteEl;
        }
      };
      const unselectCodeLines = () => {
        const elementsIds = ["code-annotation-line-highlight", "code-annotation-line-highlight-gutter"];
        elementsIds.forEach((elId) => {
          const div = window.document.getElementById(elId);
          if (div) {
            div.remove();
          }
        });
        selectedAnnoteEl = undefined;
      };
      // Attach click handler to the DT
      const annoteDls = window.document.querySelectorAll('dt[data-target-cell]');
      for (const annoteDlNode of annoteDls) {
        annoteDlNode.addEventListener('click', (event) => {
          const clickedEl = event.target;
          if (clickedEl !== selectedAnnoteEl) {
            unselectCodeLines();
            const activeEl = window.document.querySelector('dt[data-target-cell].code-annotation-active');
            if (activeEl) {
              activeEl.classList.remove('code-annotation-active');
            }
            selectCodeLines(clickedEl);
            clickedEl.classList.add('code-annotation-active');
          } else {
            // Unselect the line
            unselectCodeLines();
            clickedEl.classList.remove('code-annotation-active');
          }
        });
      }
  const findCites = (el) => {
    const parentEl = el.parentElement;
    if (parentEl) {
      const cites = parentEl.dataset.cites;
      if (cites) {
        return {
          el,
          cites: cites.split(' ')
        };
      } else {
        return findCites(el.parentElement)
      }
    } else {
      return undefined;
    }
  };
  var bibliorefs = window.document.querySelectorAll('a[role="doc-biblioref"]');
  for (var i=0; i<bibliorefs.length; i++) {
    const ref = bibliorefs[i];
    const citeInfo = findCites(ref);
    if (citeInfo) {
      tippyHover(citeInfo.el, function() {
        var popup = window.document.createElement('div');
        citeInfo.cites.forEach(function(cite) {
          var citeDiv = window.document.createElement('div');
          citeDiv.classList.add('hanging-indent');
          citeDiv.classList.add('csl-entry');
          var biblioDiv = window.document.getElementById('ref-' + cite);
          if (biblioDiv) {
            citeDiv.innerHTML = biblioDiv.innerHTML;
          }
          popup.appendChild(citeDiv);
        });
        return popup.innerHTML;
      });
    }
  }
});
</script>
</div> <!-- /content -->



</body></html>